<?php
/**
*
* @package ucp
* @version $Id: ucp_phoogle.php
* @copyright (c) 2007 Will Inglis
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

/**
* ucp_phoogle
* Changing Phoogle Map settings
*/
class ucp_phoogle
{
	var $u_action;

	function main($id, $mode)
	{
		global $config, $db, $user, $auth, $template, $phpbb_root_path, $phpEx;

		$user->add_lang('posting');
		$user->add_lang('mods/phoogle');

		$preview	= (!empty($_POST['preview'])) ? true : false;
		$submit		= (!empty($_POST['submit'])) ? true : false;
		$delete		= (!empty($_POST['delete'])) ? true : false;
		$error = $data = array();
		$s_hidden_fields = '';

		switch ($mode)
		{
			case 'phoogle':
				
				include($phpbb_root_path . 'includes/functions_posting.' . $phpEx);
				include($phpbb_root_path . 'includes/functions_display.' . $phpEx);
				include($phpbb_root_path . 'includes/message_parser.' . $phpEx);
	
				$enable_bbcode	= ($config['allow_sig_bbcode']) ? ((request_var('disable_bbcode', !$user->optionget('bbcode'))) ? false : true) : false;
				$enable_smilies	= ($config['allow_sig_smilies']) ? ((request_var('disable_smilies', !$user->optionget('smilies'))) ? false : true) : false;
				$enable_urls	= ($config['allow_sig_links']) ? ((request_var('disable_magic_url', false)) ? false : true) : false;

				$enable_bbcode	= ($config['allow_sig_bbcode']) ? ((request_var('disable_bbcode', !$user->optionget('bbcode'))) ? false : true) : false;
				$enable_smilies	= ($config['allow_sig_smilies']) ? ((request_var('disable_smilies', !$user->optionget('smilies'))) ? false : true) : false;
				$enable_urls	= ($config['allow_sig_links']) ? ((request_var('disable_magic_url', false)) ? false : true) : false;

				// Get the user-specific data
				$data = array(
					'user_phoogle_map_center'	=> request_var('user_phoogle_map_center', $user->data['user_phoogle_map_center']),
					'user_phoogle_comment'		=> utf8_normalize_nfc(request_var('user_phoogle_comment', (string) $user->data['user_phoogle_comment'], true)),
					'user_phoogle_icon'			=> request_var('user_phoogle_icon', $user->data['user_phoogle_icon']),
					'user_phoogle_allow'		=> request_var('user_phoogle_allow', $user->data['user_phoogle_allow']),
					'user_phoogle_show_me'		=> request_var('user_phoogle_show_me', $user->data['user_phoogle_show_me']),
				);

				$message_parser = new parse_message($data['user_phoogle_comment']);
				// Allowing Quote BBCode
				$message_parser->parse($enable_bbcode, $enable_urls, $enable_smilies, $config['allow_sig_img'], $config['allow_sig_flash'], true, $config['allow_sig_links'], true, 'sig');

				if (sizeof($message_parser->warn_msg))
				{
					$error[] = implode('<br />', $message_parser->warn_msg);
				}

				if ($submit)
				{
					
					if (!sizeof($error))
					{
						$sql_ary = array(
							'user_phoogle_map_center'				=> $db->sql_escape($data['user_phoogle_map_center']),
							'user_phoogle_comment'					=> (string) $message_parser->message,
							'user_phoogle_comment_bbcode_uid'		=> (string) $message_parser->bbcode_uid,
							'user_phoogle_comment_bbcode_bitfield'	=> $message_parser->bbcode_bitfield,
							'user_phoogle_icon'						=> $data['user_phoogle_icon'],
							'user_phoogle_show_me'					=> $data['user_phoogle_show_me']
						);

						$sql = 'UPDATE ' . USERS_TABLE . '
								SET ' . $db->sql_build_array('UPDATE', $sql_ary) . '
								WHERE user_id = ' . (int) $user->data['user_id'];
						$db->sql_query($sql);
							
						add_log('user', $user->data['user_id'], 'LOG_PHOOGLE');
							
						$message = $user->lang['PROFILE_UPDATED'] . '<br /><br />' . sprintf($user->lang['RETURN_UCP'], '<a href="' . $this->u_action . '">', '</a>');
						trigger_error($message);
					}
				}
				
				
				$sql_map_config = "SELECT * 
									 FROM " . PHOOGLE_CONFIG_TABLE;
				if( !($result_map_config = $db->sql_query($sql_map_config)) )
				{
					trigger_error('Could not query Map Config');
				}
				
				while ( $mapConfig = $db->sql_fetchrow($result_map_config) )
				{
					$api_key			= $mapConfig['api_key'];
					$api_lang			= $mapConfig['api_lang'];
					$map_type			= $mapConfig['map_type'];
					$map_width			= $mapConfig['profile_map_width'];
					$width_measure		= $mapConfig['profile_width_measure'];
					$map_height			= $mapConfig['profile_map_height'];
					$height_measure		= $mapConfig['profile_height_measure'];
					$user_zoom			= $mapConfig['user_zoom'];
					$zoom_limit			= $mapConfig['zoom_limit'];
					$dbl_clk_zm			= $mapConfig['dbl_clk_zm'];
					$cont_zm			= $mapConfig['cont_zm'];
					$scr_whl_zm			= $mapConfig['scr_whl_zm'];
					$map_center_c		= $mapConfig['map_center'];
					$marker_folder		= $mapConfig['marker_folder'];
					$evet_marker_folder	= $mapConfig['event_marker_folder'];
					$allow_coppa		= $mapConfig['allow_coppa'];
				}

				// Do not allow COPPA members to use the map
				if(!$allow_coppa)
				{
					$user_id = $user->data['user_id'];
					$sql = 'SELECT * 
							FROM ' . USER_GROUP_TABLE . '
							WHERE user_id = ' . (int) $user_id . '
								AND group_id = 3';
						
					$result = $db->sql_query($sql);
				
					if($row = $db->sql_fetchrow($result))
					{
						$template->assign_var('COPPA', $user->lang['COPPA_OFF']);
						$template->assign_var('S_COPPA', true);
					}
				}
					
				// force some map config values
				$show_control = true; 
				$control_type = 'small';
				$show_type = true;
				$show_scale = false; 
				$show_overview = false; 
				$data['user_phoogle_map_center'] = (!empty($data['user_phoogle_map_center'])) ? $data['user_phoogle_map_center'] : $map_center_c;

				// sql for map markers	(marker 1 and 2 are reserved for admins and moderators)
				$sql_map_markers = 'SELECT * 
									FROM ' . PHOOGLE_MARKERS_TABLE . '
									WHERE marker_id > 2';
						
				if( !($result_map_markers = $db->sql_query($sql_map_markers)) )
				{
					trigger_error('Could not query Map Markers');
				}
		
				while ( $mapMarker = $db->sql_fetchrow($result_map_markers) )
				{
					$mid							= $mapMarker['marker_id'];
					$marker[$mid]['id']				= $mapMarker['marker_id'];
					$marker[$mid]['filename']		= $mapMarker['marker_image'];
					$marker[$mid]['image']			= $marker_folder.$mapMarker['marker_image'];
					$marker[$mid]['image_width']	= $mapMarker['marker_width'];
					$marker[$mid]['image_height']	= $mapMarker['marker_height'];
					$marker[$mid]['anchor_x']		= $mapMarker['marker_x'];
					$marker[$mid]['anchor_y']		= $mapMarker['marker_y'];
					$marker[$mid]['shadow']			= $marker_folder.$mapMarker['shadow_image'];
					$marker[$mid]['shadow_width']	= $mapMarker['shadow_width'];
					$marker[$mid]['shadow_height']	= $mapMarker['shadow_height'];

					// Put each marker's info into a template var for display
					$template->assign_block_vars('iconrow', array(
						'MARKER_ID'			=> $marker[$mid]['id'],
						'MARKER'			=> $marker[$mid]['image'],
						'MARKER_WIDTH'		=> $marker[$mid]['image_width'],
						'MARKER_HEIGHT'		=> $marker[$mid]['image_height'],
						'MARKER_NAME'		=> $marker[$mid]['filename'],
						'MARKER_CHECKED'	=> ($data['user_phoogle_icon'] == $marker[$mid]['id']) ? 'checked="checked"' : '',
					));
				}

				//-----------  Start assembling the map javascript  ----------------------
				$js_start = '<script src="http://maps.google.com/maps?file=api&amp;v=2&amp;hl=' . $api_lang . '&amp;key=' . $api_key . '" type="text/javascript"></script>
							<script type="text/javascript">
							var map = null;
							var marker = null;
							var center = null;
							var geocoder = null;' . "\n";

				//Show user's map icon
				$js_userPoint = '
							var point = new GLatLng' . $data['user_phoogle_map_center'] . ';
							var options = 
							{
								icon:icon' . $data['user_phoogle_icon'] . ',
								title:"' . $user->data['username'] . '",
								draggable: true,
								dragCrossMove: true
							};
							marker = new GMarker(point, options);
							GEvent.addListener(marker, "click", function() {';

				$js_userPoint .= '
							});'."\n".'
							GEvent.addListener(marker, "dragstart", function() 
							{
								map.closeInfoWindow();
							});

							GEvent.addListener(marker, "dragend", function() 
							{ 
								center = marker.getLatLng();
								//var zoomLevel = map.getZoom();
								document.ucp_phoogle.user_phoogle_map_center.value = center.toString();
							});
							map.addOverlay(marker);'."\n";

				$js_showMap = '
							function showmap()
							{
								//<![CDATA[
								if (GBrowserIsCompatible())
								{
									map = new GMap2(document.getElementById("map_canvas"));';
	
				$js_showMap .= '
							function wheelevent(e)
							{
								if (!e)
								{
									e = window.event
								}
								if (e.preventDefault)
								{
									e.preventDefault()
								}
								e.returnValue = false;
							}
							GEvent.addListener(map, "dragend", function()
							{
								var box = map.getBounds();
								var boxCenter = box.getCenter();
								var mar = marker.getLatLng();
								var inBox = box.containsLatLng(mar);
								if (!inBox)
								{
									var l = new Array();
									var m = new Array();
									var n = new Array();
									l = boxCenter.toString().split("(");
									m = l[1].split(")");
									n = m[0].split(",");
									marker.setLatLng(new GLatLng(parseFloat(n[0]),parseFloat(n[1])));
								} 
							});
							GEvent.addDomListener(map.getContainer(), "DOMMouseScroll", wheelevent);
							map.getContainer().onmousewheel = wheelevent;'."\n";

				// Zoom limit - from map config table
				if( !empty($zoom_limit) && $zoom_limit < 17 )
				{
					$js_zmLimit = '
							GEvent.addListener(map,"zoomend",function (fromZoom, toZoom)
							{
								if (toZoom > ' . $zoom_limit .' )
								{
									map.setZoom(' . $zoom_limit .'); // clip zoom level
								}
							}); ';
				}	
				else
				{
					$js_zmLimit = '';
				}
				
				$js_centerMap = '
							map.setCenter(new GLatLng' . $data['user_phoogle_map_center'] .', ' . $user_zoom . ', ' . $map_type . ');
							geocoder = new GClientGeocoder();'."\n}\n";

				// Logic for Map control displays
				if ($show_control == true)
				{ 
					$js_controlType = ($control_type == 'small') 	? "map.addControl(new GSmallMapControl());\n" : "map.addControl(new GLargeMapControl());\n";
				}
				$js_dblClkZm 	= ($dbl_clk_zm == true) ? "map.enableDoubleClickZoom();\n" : '';
				$js_contZm 		= ($cont_zm == true) ? "map.enableContinuousZoom();\n" : '';
				$js_scrWhlZm 	= ($scr_whl_zm == true) ? "map.enableScrollWheelZoom();\n" : '';
				$js_showType 	= ($show_type == true) ? "map.addControl(new GMapTypeControl());\n" : '';
	
				// Available map markers
				$js_markers ='';
				for($i=3; $i <= count($marker); $i++)
				{
					$js_markers .= '
							var icon'.$marker[$i]['id'].' = new GIcon();
							icon'.$marker[$i]['id'].'.image = "' . $marker[$i]['image'] . '";
							icon'.$marker[$i]['id'].'.shadow = "' . $marker[$i]['shadow'] . '";
							icon'.$marker[$i]['id'].'.iconSize = new GSize(' . $marker[$i]['image_width'] . ', ' . $marker[$i]['image_height'] . ');
							icon'.$marker[$i]['id'].'.shadowSize = new GSize(' . $marker[$i]['shadow_width'] . ', ' . $marker[$i]['shadow_height'] . ');
							icon'.$marker[$i]['id'].'.iconAnchor = new GPoint(' . $marker[$i]['anchor_x'] . ', ' . $marker[$i]['anchor_y'] . ');
							icon'.$marker[$i]['id'].'.infoWindowAnchor = new GPoint(5, 1);'."\n";
				}

				$js_end = "
							//]]>\n
							}\n\n" . '
							window.onload = showmap;
							window.onunload="GUnload();"
	
							function showAddress(address) 
							{
								if (geocoder) 
								{
									geocoder.getLatLng(address, function(point) 
									{
										var newpoint = point.toString();
           								if (!newpoint) 
										{
            								alert(address + " not found");
            							} 
										else 
										{
											document.ucp_phoogle.user_phoogle_map_center.value = newpoint;
											var l = new Array();
											var m = new Array();
  											var n = new Array();
  											l = newpoint.split("(");
  											m = l[1].split(")");
  											n = m[0].split(",");
  											map.setCenter(new GLatLng(parseFloat(n[0]),parseFloat(n[1])));
											marker.setLatLng(new GLatLng(parseFloat(n[0]),parseFloat(n[1])));
            							}
          							});
								}
							}
							</script>' . "\n\n";

				$js_main = $js_start . $js_markers . $js_showMap . $js_dblClkZm . $js_contZm . $js_scrWhlZm . $js_zmLimit . $js_centerMap . $js_controlType . $js_showType . $js_userPoint . $js_end;
	
				decode_message($data['user_phoogle_comment'], $user->data['user_phoogle_comment_bbcode_uid']);
				$template->assign_vars(array(
					'BBCODE_STATUS'			=> ($config['allow_sig_bbcode']) ? sprintf($user->lang['BBCODE_IS_ON'], '<a href="' . append_sid("{$phpbb_root_path}faq.$phpEx", 'mode=bbcode') . '">', '</a>') : sprintf($user->lang['BBCODE_IS_OFF'], '<a href="' . append_sid("{$phpbb_root_path}faq.$phpEx", 'mode=bbcode') . '">', '</a>'),
					'SMILIES_STATUS'		=> ($config['allow_sig_smilies']) ? $user->lang['SMILIES_ARE_ON'] : $user->lang['SMILIES_ARE_OFF'],
					'IMG_STATUS'			=> ($config['allow_sig_img']) ? $user->lang['IMAGES_ARE_ON'] : $user->lang['IMAGES_ARE_OFF'],
					'FLASH_STATUS'			=> ($config['allow_sig_flash']) ? $user->lang['FLASH_IS_ON'] : $user->lang['FLASH_IS_OFF'],
					'URL_STATUS'			=> ($config['allow_sig_links']) ? $user->lang['URL_IS_ON'] : $user->lang['URL_IS_OFF'],
					'S_BBCODE_ALLOWED'		=> $config['allow_sig_bbcode'],
					'S_SMILIES_ALLOWED'		=> $config['allow_sig_smilies'],
					'S_BBCODE_IMG'			=> ($config['allow_sig_img']) ? true : false,
					'S_BBCODE_FLASH'		=> ($config['allow_sig_flash']) ? true : false,
					'S_LINKS_ALLOWED'		=> ($config['allow_sig_links']) ? true : false,
					'PHOOGLE_SCRIPT' 		=> $js_main,
					'API_KEY' 				=> $api_key,
					'SHOW_ME_YES' => ( $data['user_phoogle_show_me'] == 1 ) ? 'checked="checked"' : '',
					'SHOW_ME_NO'  => ( $data['user_phoogle_show_me'] == 0 ) ? 'checked="checked"' : '',
					'SHOW_CONFIRM_YES_DISPLAY' => ( $data['user_phoogle_show_me'] == 1 ) ? 'block' : 'none',
					'SHOW_CONFIRM_NO_DISPLAY'  => ( $data['user_phoogle_show_me'] == 0 ) ? 'block' : 'none',
					'MAP_WIDTH' => $map_width,
					'WIDTH_MEASURE' => $width_measure,
					'MAP_HEIGHT' => $map_height,
					'HEIGHT_MEASURE' => $height_measure,
					'MAP_CENTER' => $data['user_phoogle_map_center'],
					'MARKER_FOLDER' => $phpbb_root_path . $marker_folder,
					'PHOOGLE_COMMENT' => $data['user_phoogle_comment'],
					'TROUBLESHOOT' => '')
				);

			break;
		} // END OF SWITCH // end $mode switch
		
		// Set desired template
		$this->tpl_name = 'ucp_phoogle_' . $mode;
		$this->page_title = 'UCP_PROFILE_' . strtoupper($mode);
	} // end function main
} // end class