<?php
/** 
*
* @package language
* @version $Id: phoogle.php,v 0.0.1 2008/01/17
* @copyright (c) 2007 Will Inglis
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine

/**
* NOTE: Most of the language items are used in javascript
* If you want to use quotes or other chars that need escaped, be sure you escape them double 
*/
$lang = array_merge($lang, array(
	'ADMIN_SETTINGS'				=> 'Admin Settings',
	'ANCHOR'						=> 'Anchor',
	'COPPA_WARNING'					=> 'COPPA Members - You SHOULD NOT place your marker directly over your home! Place it close to your home, but not so close people can see exactly where you live!',
	'COPPA_OFF'						=> 'Sorry, COPPA Registered users may not show map points',
	'EVENT_END_EXPLAIN'				=> 'Date to stop showing this event on the map',
	'EVENT_START_EXPLAIN'			=> 'Date to start showing this event on the map',
	'FILE_LIST'						=> 'File list',
	'FILE_LIST_EVENT_EXPLAIN'		=> 'A list of files currently in the Event Marker folder.<br/>(For reference only)',
	'FILE_LIST_EXPLAIN'				=> 'A list of files currently in the Map Marker folder.<br/>(For reference only)',
	'FIND_A_USER'					=> 'Find a user...',
	'FIND_IT'						=> 'Find it!',
	'GEOCODE_EXPLAIN'				=> 'Enter a valid street address and click \'Find it!\'',
	'HEIGHT_ABBR'					=> 'H',
	'KILOMETERS'					=> 'kilometers',
	'LOGIN_EXPLAIN_PHOOGLE'			=> 'The board requires you to be registered and logged in to access the Phoogle Map.',
	'MAP_POINT'						=> 'Map Point',
	'MILES'							=> 'miles',
	'MUST_SELECT_EVENT'				=> 'You must select an event',
	'PHOOGLE'						=> 'Phoogle Map',
	'PHOOGLE_ADD_EVENT'				=> 'Add new event',
	'PHOOGLE_ADD_MARKER'			=> 'Add new marker',
	'PHOOGLE_ADD_MARKER_EXPLAIN'	=> 'Upload or FTP the marker and shadow image files first. Then enter all marker and shadow image details and click \'Submit\'. All 	fields must be filled in for marker to show on the map.',
	'PHOOGLE_ADMIN' 				=> 'Phoogle Map Config',
	'PHOOGLE_ADMIN_EVENTS' 			=> 'Phoogle Events Config',
	'PHOOGLE_ADMIN_EVENTS_EXPLAIN'	=> 'Turn the display of all Events on and off, add/edit/delete Events that will display on your Phoogle Map',
	'PHOOGLE_ADMIN_EVENT_MARKERS'	=> 'Phoogle Event Marker Administration',
	'PHOOGLE_ADMIN_EXPLAIN' 		=> 'Enter your Google API Key and preferred map settings here. This map reflects your settings for the main Phoogle Map display.',
	'PHOOGLE_ADMIN_MARKER' 			=> 'Admin Marker',
	'PHOOGLE_ADMIN_MARKERS' 		=> 'Phoogle User Marker Administration',
	'PHOOGLE_ADMIN_MARKERS_EXPLAIN'	=> 'Edit and Upload Map Markers here. All fields are required for markers to show on maps.',
	'PHOOGLE_ADMIN_SHADOW' 			=> 'Admin Shadow',
	'PHOOGLE_ADMIN_USER' 			=> 'Edit User',
	'PHOOGLE_ADMIN_USERS' 			=> 'Phoogle Users',
	'PHOOGLE_ADMIN_USERS_EXPLAIN'	=> 'Here you can edit all your members\' Phoogle Map settings. \'Allow\' is the admin\'s way of prohibiting a user\'s map point from being shown and overrides the user\'s \'Show Me\' setting.<br />\'Show Me\' and \'Allow\' can be toggled by clicking the icon in the user\'s row you wish to edit. Change the user\'s map point, marker, or comment by clicking the \'Edit\' icon in the desired row.',
	'PHOOGLE_ALLOW' 				=> 'Allow User to Show Map Point?',
	'PHOOGLE_ALLOW_BRIEF' 			=> 'Allow',
	'PHOOGLE_ALLOW_CONFIRM' 		=> 'Setting this to "No" OVERRIDES the User\'s "Show My Marker" Setting',
	'PHOOGLE_ALL_MEMBERS' 			=> 'All Members',
	'PHOOGLE_API' 					=> 'Google Maps API',
	'PHOOGLE_API_KEY' 				=> 'Google Maps API Key',
	'PHOOGLE_API_LINK' 				=> 'Get your API Key <a href="http://www.google.com/apis/maps/signup.html" target="_blank">here</a>.',
	'PHOOGLE_API_LANG'				=> 'Map language',
	'PHOOGLE_API_LANG_EXPLAIN'		=> 'Select the language to use for the map control buttons &amp; tooltips. (Translations provided by Google Maps API, not the Phoogle Map MOD)',
	'PHOOGLE_AUTO_FIT'				=> 'Automatically Fit Map to Markers',
	'PHOOGLE_AUTO_FIT_EXPLAIN'		=> 'Map will set Center and Zoom Level automatically to fit the available markers (Users and Events). <strong>Overrides</strong> your Initial Center and Zoom settings<br />Does not affect map on this page',
	'PHOOGLE_CENTER' 				=> 'Your Map Center Position (Use Map to Enter)',
	'PHOOGLE_COMMENT' 				=> 'Phoogle map-bubble comment',
	'PHOOGLE_COMMENT_BRIEF'			=> 'Comment',
	'PHOOGLE_COMMENT_EXPLAIN' 		=> 'This will show in your map marker\'s comment bubble.',
	'PHOOGLE_CONFIG_UPDATED'		=> 'Phoogle Map config updated successfully.',
	'PHOOGLE_CONTROL_TYPE' 			=> 'Zoom/Pan Controller Type',
	'PHOOGLE_CONT_ZM'				=> 'Enable Continuous Zoom',
	'PHOOGLE_CONT_ZM_EXPLAIN'		=> 'Provides a smooth, continuous zoom animation when you zoom in one level. Turns off overlays during the zoom animation. (Visible in IE and FF only)',
	'PHOOGLE_DBL_CLK_ZM'			=> 'Enable Double-Click Zoom',
	'PHOOGLE_DBL_CLK_ZM_EXPLAIN'	=> 'Double-click LMB to Zoom In where clicked<br />Double-click RMB to Zoom Out where clicked',
	'PHOOGLE_DEFAULT_SHOW' 			=> 'Default number of users / page',
	'PHOOGLE_EDIT_EVENT'			=> 'Edit event',
	'PHOOGLE_EDIT_EVENT_EXPLAIN'	=> 'Drag the marker to the desired location, or click the "Use an address to find map location" link to place the marker.<br/>Enter Event details below and select an event marker.',
	'PHOOGLE_END'					=> 'End',
	'PHOOGLE_EVENTS'				=> 'Enable Events on the Map?',
	'PHOOGLE_EVENTS_DESC'			=> 'Event Description',
	'PHOOGLE_EVENTS_DISPLAY'		=> 'Global Event Display',
	'PHOOGLE_EVENTS_FOLDER' 		=> 'Event Markers Folder',
	'PHOOGLE_EVENTS_MARKER'			=> 'Icon',
	'PHOOGLE_EVENTS_SUBHEADING'		=> 'Mapped Events',
	'PHOOGLE_EVENTS_TITLE'			=> 'Event Title',
	'PHOOGLE_EVENT_ADDED'			=> 'New event added successfully',
	'PHOOGLE_EVENT_DISPLAY'			=> 'Events',
	'PHOOGLE_EVENT_EDITED'			=> 'Event edited successfully',
	'PHOOGLE_EVENT_REMOVED'			=> 'Phoogle event removed',
	'PHOOGLE_EXPLAIN' 				=> 'And/Or use this map and drag the marker to the desired location.',
	'PHOOGLE_EXPLAIN_2'				=> 'Double-click LMB to Zoom In where clicked<br />Double-click RMB to Zoom Out where clicked<br/>',
	'PHOOGLE_FOE'					=> 'Add Foe',
	'PHOOGLE_FRIEND'				=> 'Add Friend',
	'PHOOGLE_GO'					=> '&nbsp;Go&nbsp;',
	'PHOOGLE_ICON'					=> 'Icon',
	'PHOOGLE_ICON' 					=> 'Choose your map marker',
	'PHOOGLE_ICONS' 				=> 'Map Marker Config',
	'PHOOGLE_ICONS_EXPLAIN' 		=> '<strong>Custom Markers &amp; Shadows</strong><br />Each Map Marker is made from two images: a foreground image and a shadow image. Multiple markers can share a shadow image. Change Markers by placing the marker and/or shadow image in your &quot;Map Marker Folder&quot;. (Upload form below or use your FTP program.) Then enter the file name (ie. <i>my_icon.png</i>) and the image dimensions and Anchor offset in the table for the marker you want to replace. Images should be PNG with transparency.<br /><strong>Marker W &amp; H:</strong><br /> Enter the image\'s width and height (all Markers with same W x H looks best).<br /><strong>Anchor X &amp; Y:</strong><br />The pixel coordinate relative to the top left corner of the icon image at which this icon is anchored to the map. (In general, half the width and the full height looks best.)<br /><strong>Shadows</strong><br />Follow above Custom Icon directions for shadow image and dimensions. There is no Anchor X &amp; Y for shadow images.',
	'PHOOGLE_IMAGE_FOLDERS'			=> 'Marker Image Folders',
	'PHOOGLE_INIT_ZOOM' 			=> 'Initial Zoom Level',
	'PHOOGLE_INIT_ZOOM_EXPLAIN'		=> 'Zoom Level Main Map will start at<br />Higher number = closer view',
	'PHOOGLE_LARGE' 				=> 'large',
	'PHOOGLE_LOC_TABLE' 			=> 'Latitude / Longitude at map center',
	'PHOOGLE_MAIN_MAP_SIZE' 		=> 'Main Map Configuration',
	'PHOOGLE_MAP_CENTER' 			=> 'Initial Map Center Point',
	'PHOOGLE_MAP_CENTER_EXPLAIN' 	=> '<em>Do Not Type In</em>, Use Map Above',
	'PHOOGLE_MAP_EXPLAIN' 			=> 'Use the Map to set Your Prefered Initial Map Center and Zoom Level',
	'PHOOGLE_MAP_HEIGHT' 			=> 'Map Height',
	'PHOOGLE_MAP_MARKERS' 			=> 'Map Markers',
	'PHOOGLE_MAP_SIZE_CONFIG' 		=> 'Map Size &amp, Configuration',
	'PHOOGLE_MAP_TITLE' 			=> 'Phoogle Map',
	'PHOOGLE_MAP_TYPE' 				=> 'Initial Map Type',
	'PHOOGLE_MAP_WIDTH' 			=> 'Map Width',
	'PHOOGLE_MARKERS_UPDATED' 		=> 'Phoogle Map markers updated successfully.',
	'PHOOGLE_MARKER_FOLDER' 		=> 'User Markers Folder',
	'PHOOGLE_MARKER_IMAGE' 			=> 'Marker Image',
	'PHOOGLE_MOD_MARKER' 			=> 'Moderator Marker',
	'PHOOGLE_MOD_SHADOW' 			=> 'Moderator Shadow',
	'PHOOGLE_NOT_ALLOWED' 			=> ' is Not Allowed to Show a Map Point',
	'PHOOGLE_NOT_EXIST' 			=> 'Phoogle Config Information does not exist.',
	'PHOOGLE_NO_ALLOW' 				=> 'Click to Allow %s\'s  map point',
	'PHOOGLE_NO_EVENTS'				=> 'There are no Events. Click below to redirect to the Add New Event page',
	'PHOOGLE_NO_SHOW' 				=> 'Click to Turn \'Show Me\' ON for %s',
	'PHOOGLE_PROFILE' 				=> 'Phoogle Map Location',
	'PHOOGLE_PROFILE_MAP_HEIGHT' 	=> 'Profile Map Height',
	'PHOOGLE_PROFILE_MAP_SIZE' 		=> 'Profile Map Configuration',
	'PHOOGLE_PROFILE_MAP_WIDTH' 	=> 'Profile Map Width',
	'PHOOGLE_SCR_WHL_ZM'			=> 'Enable Scroll Wheel Zoom?',
	'PHOOGLE_SCR_WHL_ZM_EXPLAIN'	=> 'Enables the mouse wheel to zoom in and out.',
	'PHOOGLE_SHADOW_IMAGE' 			=> 'Shadow Image',
	'PHOOGLE_SHOM_ME_BRIEF'			=> 'Show Me',
	'PHOOGLE_SHOW' 					=> 'Show',
	'PHOOGLE_SHOW_CONTROL' 			=> 'Show Zoom/Pan Controller?',
	'PHOOGLE_SHOW_GBAR'				=> 'Show Google Local Search bar?',
	'PHOOGLE_SHOW_ME' 				=> 'Show my marker on the Phoogle map',
	'PHOOGLE_SHOW_ME_CONFIRM_NO' 	=> 'You <font color="#FF0000">WILL NOT</font> be shown on the Phoogle Map',
	'PHOOGLE_SHOW_ME_CONFIRM_YES' 	=> 'You <font color="#00CC00">WILL</font> be shown on the Phoogle Map',
	'PHOOGLE_SHOW_OVERVIEW'			=> 'Show Overview Controller?',
	'PHOOGLE_SHOW_SCALE' 			=> 'Show Map Scale?',
	'PHOOGLE_SHOW_TYPE' 			=> 'Show Map Types Controller?',
	'PHOOGLE_SMALL' 				=> 'small',
	'PHOOGLE_SPECIAL_MARKERS' 		=> 'Special / Reserved Markers',
	'PHOOGLE_SPECIAL_MARKERS_EXPLAIN' => 'Set to &quot;Yes&quot; to Override Admin\'s and Moderator\'s selected map markers with these Special Markers.<br />Set to &quot;No&quot; to show Admin\'s and Moderator\'s selected map markers.',
	'PHOOGLE_SPECIAL_MARKERS_SUB'	=> '<strong>NOTE</strong>: Marker 1 is <strong>ALWAYS</strong> Admin\'s, and Marker 2 is <strong>ALWAYS</strong> Moderator\'s.',
	'PHOOGLE_START'					=> 'Start',
	'PHOOGLE_TERRAIN'				=> 'Enable Terrain Map Type?',
	'PHOOGLE_TOTAL'					=> 'total',
	'PHOOGLE_TRAFFIC'				=> 'Enable Traffic Overlay?',
	'PHOOGLE_TRAFFIC_EXPLAIN'		=> 'USA only',
	'PHOOGLE_UPLOAD'				=> 'Upload New Marker/Shadow Image',
	'PHOOGLE_UPLOAD_EXPLAIN'		=> 'Choose the file to upload',
	'PHOOGLE_UPLOAD_SUB'			=> 'File must be a PNG, Max file size = 10kb',
	'PHOOGLE_USERS_SUBHEADING' 		=> 'Mapped Users',
	'PHOOGLE_USER_EDITED'			=> 'User edited successfully',
	'PHOOGLE_USER_MARKERS' 			=> 'User Markers',
	'PHOOGLE_USER_ZOOM' 			=> 'Profile Map Zoom Level',
	'PHOOGLE_USER_ZOOM_EXPLAIN' 	=> 'Zoom Level Profile Map will start at<br />Higher number = closer view',
	'PHOOGLE_USE_SPECIAL_MARKERS' 	=> 'Use Special Markers?',
	'PHOOGLE_VERSION' 				=> 'v0.2.0',
	'WORD_IS'						=> ' is ', // space before and after. The word 'is' for use in map bubble "username is x.xxx miles from you."
	'WORD_FROM_YOU'					=> ' from you', // space before. The words 'from you' for use in map bubble "username is x.xxx miles from you."
	'PHOOGLE_YES_ALLOW'				=> 'Click to Disallow %s\'s map point',
	'PHOOGLE_YES_SHOW' 				=> 'Click to Turn \'Show Me\' OFF for %s',
	'PHOOGLE_ZOOM_LIMIT' 			=> 'Maximum Zoom Level (Zoom Limit)',
	'PHOOGLE_ZOOM_LIMIT_EXPLAIN' 	=> 'Prevents users from zooming in any closer that this setting<br />Higher number = closer view. Set to <strong>17</strong> for no limit.',
	'SET_EVENT_LOCATION'			=>'Set event location',
	'SET_LOCATION'					=>'Set your location',
	'SET_USER_LOCATION'				=>'Set user location',
	'USER_SETTINGS'					=> 'User Settings',
	'USE_GEOCODER'					=> 'Use an address to find map location',
	'VIEWING_PHOOGLE' 				=> 'Viewing Phoogle Map',
	'WIDTH_ABBR'					=> 'W',
));
?>