<?php
/**
*
* @package phpBB3
* @version $Id: phoogle.php,v 0.1.0 2008/01/30
* @copyright (c) 2007 Will Inglis
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);
include($phpbb_root_path . 'includes/functions_display.' . $phpEx);
include_once($phpbb_root_path . 'includes/bbcode.' . $phpEx);

// Start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup('mods/phoogle');
$user->add_lang('memberlist');
$mode = request_var('mode', '');
$page_title = $user->lang['PHOOGLE_MAP_TITLE'];

// This permission check is taken from memberlist.php
// Can this user view profiles/memberlist?
if (!$auth->acl_gets('u_viewprofile'))
{
	if ($user->data['user_id'] != ANONYMOUS)
	{
		trigger_error('NO_VIEW_USERS');
	}

	login_box('', ((isset($user->lang['LOGIN_EXPLAIN_' . strtoupper($mode)])) ? $user->lang['LOGIN_EXPLAIN_' . strtoupper($mode)] : $user->lang['LOGIN_EXPLAIN_PHOOGLE']));
}

// Mode var checking
$mode = request_var('mode', '');
$mode = (isset($_POST['search'])) ? 'search' : $mode;
	
// Check our mode...
if (!in_array($mode, array('everyone', 'single', 'groups', 'search', 'events')))
{
	trigger_error('NO_MODE');
}

// sql for map config params
$sql_map_config = 'SELECT * 
					FROM ' . PHOOGLE_CONFIG_TABLE;
					
if( !($result_map_config = $db->sql_query($sql_map_config)) )
{
	trigger_error('Could not query Map Config');
}

// iterate through the config results to set map params
while ( $mapConfig = $db->sql_fetchrow($result_map_config) )
{
	$map_id					= $mapConfig['map_id'];
	$map_width				= $mapConfig['map_width'];
	$width_measure			= $mapConfig['width_measure'];
	$map_height				= $mapConfig['map_height'];
	$height_measure			= $mapConfig['height_measure'];
	$api_key				= $mapConfig['api_key'];
	$api_lang				= $mapConfig['api_lang'];
	$show_control			= $mapConfig['show_control'];
	$show_type				= $mapConfig['show_type'];
	$terrain_map			= $mapConfig['terrain_map'];
	$traffic_over			= $mapConfig['traffic_over'];
	$control_type			= $mapConfig['control_type'];
	$show_scale				= $mapConfig['show_scale'];
	$show_overview			= $mapConfig['show_overview'];
	$show_gbar				= $mapConfig['show_gbar'];
	$init_zoom			 	= $mapConfig['init_zoom'];
	$user_zoom				= $mapConfig['user_zoom'];
	$zoom_limit				= $mapConfig['zoom_limit'];
	$dbl_clk_zm				= $mapConfig['dbl_clk_zm'];
	$cont_zm				= $mapConfig['cont_zm'];
	$scr_whl_zm				= $mapConfig['scr_whl_zm'];
	$map_center				= $mapConfig['map_center'];
	$auto_fit				= $mapConfig['auto_fit'];
	$use_special_markers	= $mapConfig['use_special_markers'];
	$use_events				= $mapConfig['use_events'];
	$allow_coppa			= $mapConfig['allow_coppa'];
	$marker_folder			= $mapConfig['marker_folder'];
	$event_marker_folder	= $mapConfig['event_marker_folder'];
	$map_type				= $mapConfig['map_type'];
	$default_show			= $mapConfig['default_show'];
	$dist_units				= $mapConfig['dist_units'];
}

// We're done with config results, so clear them	
$db->sql_freeresult($result_map_config);

// sql for user marker icons
$sql_map_markers = 'SELECT * 
					FROM ' . PHOOGLE_MARKERS_TABLE . '
						ORDER BY marker_id';
		
if( !($result_map_markers = $db->sql_query($sql_map_markers)) )
{
	trigger_error('Could not query Map Markers');
}

// iterate through the marker results and create array
while ( $mapMarker = $db->sql_fetchrow($result_map_markers) )
{		
	$mid 							= $mapMarker['marker_id'];
	$marker[$mid]['id'] 			= $mapMarker['marker_id'];
	$marker[$mid]['image'] 			= $phpbb_root_path . $marker_folder . $mapMarker['marker_image'];
	$marker[$mid]['image_width'] 	= $mapMarker['marker_width'];
	$marker[$mid]['image_height'] 	= $mapMarker['marker_height'];
	$marker[$mid]['anchor_x'] 		= $mapMarker['marker_x'];
	$marker[$mid]['anchor_y'] 		= $mapMarker['marker_y'];
	$marker[$mid]['shadow'] 		= $phpbb_root_path . $marker_folder . $mapMarker['shadow_image'];
	$marker[$mid]['shadow_width'] 	= $mapMarker['shadow_width'];
	$marker[$mid]['shadow_height'] 	= $mapMarker['shadow_height'];
}

// We're done with user marker results, so clear them
$db->sql_freeresult($result_map_markers);

// For html display of Admin and Moderator marker images in the Legend (outside the map)
$admin_image		= ($use_special_markers == 1) ? $marker[1]['image'] : '';
$moderator_image	= ($use_special_markers == 1) ? $marker[2]['image'] : '';

// sql for event marker icons
if ($use_events)
{
	$sql_event_markers = 'SELECT * 
							FROM ' . PHOOGLE_EVENTS_MARKERS_TABLE . '
								ORDER BY marker_id';
		
	if( !($result_event_markers = $db->sql_query($sql_event_markers)) )
	{
		trigger_error('Could not query Event Markers');
	}

// iterate through the event marker results and create array
	while ($eventMarker = $db->sql_fetchrow($result_event_markers))
	{		
		$mid									= $eventMarker['marker_id'];
		$event_marker[$mid]['id']				= $eventMarker['marker_id'];
		$event_marker[$mid]['image']			= $phpbb_root_path . $event_marker_folder . $eventMarker['marker_image'];
		$event_marker[$mid]['image_width']		= $eventMarker['marker_width'];
		$event_marker[$mid]['image_height']		= $eventMarker['marker_height'];
		$event_marker[$mid]['anchor_x']			= $eventMarker['marker_x'];
		$event_marker[$mid]['anchor_y']			= $eventMarker['marker_y'];
		$event_marker[$mid]['shadow']			= $phpbb_root_path . $event_marker_folder . $eventMarker['shadow_image'];
		$event_marker[$mid]['shadow_width']		= $eventMarker['shadow_width'];
		$event_marker[$mid]['shadow_height']	= $eventMarker['shadow_height'];
	}
	// We're done with map marker results, so clear them	
	$db->sql_freeresult($result_event_markers);

	// Count of events
	$count_event_sql = 'SELECT count(event_id) AS totalevents 
							FROM ' . PHOOGLE_EVENTS_TABLE;

	if ( !($count_event_result = $db->sql_query($count_event_sql)) )
	{
		trigger_error('Error getting total Events');
	}	
			
	$mapped_events = ( $total_events = $db->sql_fetchrow($count_event_result) ) ? $total_events['totalevents'] : '';
}			

// Get list of user_groups
$sql_ary = array(
	'SELECT'	=> 'gt.group_id, gt.group_name, gt.group_colour',
	'FROM'		=> array(GROUPS_TABLE => 'gt'),
	'WHERE'		=> ($allow_coppa) ? "gt.group_name != 'GUESTS' AND gt.group_name != 'BOTS'" : "gt.group_name != 'GUESTS' AND gt.group_name != 'BOTS' AND gt.group_name != 'REGISTERED_COPPA'",
	'ORDER_BY'	=> 'gt.group_id'
);
$sql = $db->sql_build_query('SELECT', $sql_ary);
		
if( !($result_groups = $db->sql_query($sql)) )
{
	trigger_error('Could not query User Groups');
}

// Start User Groups drop-down box
$group_select_box 	= '<select name="group_select" id="group_select" onChange="location.href=this.value;">
						 <option selected="selected" disabled="disabled">Pick a Group</option>';
if($use_events)
{
	$events_url = append_sid("{$phpbb_root_path}phoogle.php", "mode=events");
	$group_select_box .= "<option value=\"$events_url\">" . $user->lang['PHOOGLE_EVENT_DISPLAY'] . "</option>";
}						 

$qroup_id = request_var('qroup_id', '');
// Now do the loop
while ($group_info = $db->sql_fetchrow($result_groups))
{		
	$gid 							= $group_info['group_id']; 
	$group[$gid]['id'] 				= $group_info['group_id'];
	$group[$gid]['name'] 			= $group_info['group_name'];
	$group[$gid]['colour'] 			= $group_info['group_colour'];
	// These two are for the User Groups drop-down box 
	$gsb 							= ucwords(strtolower(str_replace("_", " ", $group_info['group_name'])));
	$gsb_id 						= $group[$gid]['id']; 	
	$group_url = append_sid("{$phpbb_root_path}phoogle.php", "mode=groups&amp;group_id=$gsb_id");
	$group_select_box .= "<option value=\"$group_url\">$gsb</option>";	
}

$group_select_box .= '</select>';

$db->sql_freeresult($result_groups);

// PAGINATION
// get starting position
$start = request_var('start', 0);

// PAGINATION
// get default show amount from Phoogle map config or from user if set in the 'Show' box
$default_show = request_var('show', $default_show);
$show = request_var('show', $default_show);

// Now events
if ($use_events)
{
	$sql_events = 'SELECT *
					FROM ' . PHOOGLE_EVENTS_TABLE . '
					ORDER BY event_title';
	if(!($result_events = $db->sql_query($sql_events)))
	{
		trigger_error('Could not query Events');
	}
	
	$i=0;
	while ($events = $db->sql_fetchrow($result_events))
	{	
		$event[$i]['event_id'] 						= $events['event_id'];
		$event[$i]['event_map_center'] 				= stripslashes($events['event_map_center']);
		$event[$i]['event_marker'] 					= $events['event_marker'];
		$event[$i]['event_title'] 					= stripslashes($events['event_title']);
		$event[$i]['event_desc'] 					= stripslashes($events['event_desc']);
		$event[$i]['event_desc_bbcode_uid'] 		= $events['event_desc_bbcode_uid'];
		$event[$i]['event_desc_bbcode_bitfield']	= $events['event_desc_bbcode_bitfield'];
		$event[$i]['event_start'] 					= stripslashes($events['event_start']);
		$event[$i]['event_end'] 					= stripslashes($events['event_end']);
		$i++;
	}

	$num_events = sizeof($event);
	
	for ($i = 0; $i < $num_events; $i++)
	{	
		if ($event[$i]['event_desc'])
		{
			$event[$i]['event_desc'] = censor_text($event[$i]['event_desc']);
			if ($event[$i]['event_desc_bbcode_bitfield'])
			{
				$bbcode = new bbcode();
				$bbcode->bbcode_second_pass($event[$i]['event_desc'], $event[$i]['event_desc_bbcode_uid'], $event[$i]['event_desc_bbcode_bitfield']);
			}

			$event[$i]['event_desc'] = bbcode_nl2br($event[$i]['event_desc']);
			$event[$i]['event_desc'] = smiley_text($event[$i]['event_desc']);
			$event[$i]['event_desc'] = addslashes($event[$i]['event_desc']);
		}
	
		// Assemble comment-bubble tab contents
		// 1st tab		
		$event[$i]['tab'][0] = '<div><b>' . $event[$i]['event_title'] . '</b></div>';
		
		// 2nd 'huge' tab
		$event[$i]['tab'][1] = '<br/>' . $event[$i]['event_title'] . '<br/>' . $event[$i]['event_desc'];
	}
}
///////////////////////////////////Starting the mode-dependent stuff////////////////////////////////////////////////////////////////////////////////
switch ($mode) 
{
	case 'everyone' :
		
		// sql differs if coppa users are allowed to be shown. first case is NO COPPA users, 2nd case includes COPPA users
		if(!$allow_coppa)
		{
			$sql_all_members = 'SELECT u.*
								FROM ' . USERS_TABLE . ' u 
									LEFT JOIN ' . USER_GROUP_TABLE . ' ug
										ON u.user_id = ug.user_id
											AND ug.group_id = 3
									WHERE (ug.group_id is null
											AND u.user_id <> ' . ANONYMOUS . '
											AND u.user_id <> ' . $db->sql_escape($user->data['user_id']) . '
											AND u.user_phoogle_allow = 1
											AND u.user_phoogle_map_center <> ""
											AND u.user_phoogle_show_me = 1)
									ORDER BY u.username_clean';
								
							
		}
		else
		{
			$sql_all_members = 'SELECT u.*
								FROM ' . USERS_TABLE . ' u 
									WHERE u.user_id <> ' . ANONYMOUS . '
										AND u.user_id <> ' . $db->sql_escape($user->data['user_id']) . '
										AND u.user_phoogle_allow = 1
										AND u.user_phoogle_show_me = 1
								ORDER BY u.username_clean';
		}
		
		if( !($result_all_members = $db->sql_query_limit($sql_all_members, $show, $start)) )
		{
			trigger_error('Could not query users');
		}
		
		$template->assign_var('L_GROUP_NAME', '');

		$count_sql = 'SELECT count(user_id) AS total 
						FROM ' . USERS_TABLE . ' 
							WHERE user_id <> ' . ANONYMOUS . '
								AND user_phoogle_allow = 1
								AND user_phoogle_show_me = 1';

		if ( !($count_result = $db->sql_query($count_sql)) )
		{
			trigger_error('Error getting total users');
		}
		
		$js_centerMap = 'map.setCenter(new GLatLng' . $map_center . ', ' . $init_zoom . ', ' . $map_type . ');' . "\n\n";

	break;	

	case 'groups' :

		$group_id = request_var('group_id', '');
		
		if($group_id == 3 && !$allow_coppa)
		{
			trigger_error('This user group may not be viewed', E_USER_ERROR);
		}
	
		// Assign the Group Name for display in the Map Header
		$template->assign_var('L_GROUP_NAME', ": ".ucwords(strtolower(str_replace("_", " ", $group[$group_id]['name']))));	
		// sql for members with map points set in the selected user group
	
		$sql_group_members = 'SELECT DISTINCT ug.group_id, ug.user_id, ug.user_pending, u.*
			FROM ' . USERS_TABLE . ' u, ' . USER_GROUP_TABLE . ' ug 
				WHERE ug.group_id = ' . $db->sql_escape($group_id) . '
					AND u.user_id <> ' . $user->data['user_id'] . ' 
					AND ug.user_id = u.user_id 
					AND ug.user_pending = 0 
					AND u.user_phoogle_allow = 1 
					AND u.user_phoogle_show_me = 1 			
			ORDER BY u.username_clean';
	
		if( !($result_all_members = $db->sql_query_limit($sql_group_members, $show, $start)) )
		{
			trigger_error('Could not query Group Members');
		}
	

		$count_sql = 'SELECT DISTINCT count(ug.user_id) AS total 
						FROM ' . USER_GROUP_TABLE . ' ug
							LEFT JOIN ' . USERS_TABLE . ' u
								ON u.user_id = ug.user_id 
						WHERE ug.group_id = ' . $db->sql_escape($group_id) . '
							AND u.user_phoogle_allow = 1 
							AND u.user_phoogle_show_me = 1';

		if (!($count_result = $db->sql_query($count_sql)))
		{
			trigger_error('Error getting total users');
		}
		
		$js_centerMap = 'map.setCenter(new GLatLng' . $map_center . ', ' . $init_zoom . ', ' . $map_type . ');' . "\n\n";
	
	break;	

	case 'single':
		
		$member_id = request_var('u', (int) $_GET['u']);
			if(!$allow_coppa)
			{
				$sql_all_members = 'SELECT u.*
									FROM ' . USERS_TABLE . ' u 
									LEFT JOIN ' . USER_GROUP_TABLE . ' ug
										ON u.user_id = ug.user_id
											AND ug.group_id = 3
									WHERE ug.group_id is null
										AND u.user_id = ' . $db->sql_escape($member_id) . '
										AND u.user_phoogle_allow = 1
										AND u.user_phoogle_show_me = 1
									ORDER BY u.username_clean';
			}
			else
			{
				$sql_all_members = 'SELECT u.*
									FROM ' . USERS_TABLE . ' u 
									WHERE u.user_id = ' . $db->sql_escape($member_id) . ' 
										AND u.user_phoogle_allow = 1 
										AND u.user_phoogle_show_me = 1
									ORDER BY u.username';
			}
		
		if( !($result_all_members = $db->sql_query_limit($sql_all_members, $show, $start)) )
		{
			trigger_error('Could not query users');
		}
		
		$row = $db->sql_fetchrow($result_all_members);
		if(empty($row))
		{	
			trigger_error('No users found to display');
		}
		
		@$db->sql_rowseek(0, $result_all_members);	
		
		$template->assign_var('L_GROUP_NAME', ": ".$row['username']);

		$count_sql = 'SELECT count(user_id) AS total 
						FROM ' . USERS_TABLE . ' 
						WHERE user_id <> ' . ANONYMOUS . ' 
							AND user_phoogle_allow = 1 
							AND user_phoogle_show_me = 1';

		if ( !($count_result = $db->sql_query($count_sql)) )
		{
			trigger_error('Error getting total users');
		}
						
		$js_centerMap = 'map.setCenter(new GLatLng' . $row['user_phoogle_map_center'] . ', ' . $user_zoom . ', ' . $map_type . ');' . "\n\n";		

	break;

	case 'search': 

		// Don't show the Events on this map at all
		$use_events = 0; 
		
		$user_search = utf8_clean_string($_POST['user_search']);
		
		if(!$allow_coppa)
		{
			$sql_search_members = 'SELECT u.*
								FROM ' . USERS_TABLE . ' u 
								LEFT JOIN ' . USER_GROUP_TABLE . " ug
								ON u.user_id = ug.user_id
									AND ug.group_id = 3
								WHERE ug.group_id is null
									AND u.username_clean LIKE '%" . $db->sql_escape($user_search) . "%'  
									AND u.user_phoogle_allow = 1 
									AND u.user_phoogle_show_me = 1
								ORDER BY u.username_clean";
		}
		else
		{
			$sql_search_members = 'SELECT u.*
								FROM ' . USERS_TABLE . " u 
								WHERE u.username_clean LIKE '%" . $db->sql_escape($user_search) . "%'  
									AND u.user_phoogle_allow = 1 
									AND u.user_phoogle_show_me = 1
								ORDER BY u.username_clean";
		}
		
		if( !($result_all_members = $db->sql_query_limit($sql_search_members, $show, $start)) )
		{
			trigger_error('Could not query users');
		}
		
		$row = $db->sql_fetchrow($result_all_members);
		if(empty($row))
		{
			trigger_error("No users found that match: $user_search");
		}
		
		@$db->sql_rowseek(0, $result_all_members);	
		
		$template->assign_var('L_GROUP_NAME', " - ".$user->lang['SEARCH_FOR'].": ".$user_search);

		$count_sql = 'SELECT count(user_id) AS total 
						FROM ' . USERS_TABLE . " u
						WHERE u.username_clean LIKE '%" . $db->sql_escape($user_search) . "%'  
							AND u.user_phoogle_allow = 1 
							AND u.user_phoogle_show_me = 1";

		if ( !($count_result = $db->sql_query($count_sql)) )
		{
			trigger_error('Error getting total users');
		}
		
		$js_centerMap = 'map.setCenter(new GLatLng(0,0),1);' . "\n";	

	break;
	
	case 'events':
		
		$template->assign_var('L_GROUP_NAME', ": ". $user->lang['PHOOGLE_EVENT_DISPLAY']);

		$count_sql = 'SELECT count(user_id) AS total 
						FROM ' . USERS_TABLE . ' 
						WHERE user_id <> ' . ANONYMOUS . ' 
							AND user_phoogle_allow = 1 
							AND user_phoogle_show_me = 1';

		if ( !($count_result = $db->sql_query($count_sql)) )
		{
			trigger_error('Error getting total users');
		}
						
		$js_centerMap = 'map.setCenter(new GLatLng' . $map_center . ', ' . $init_zoom . ', ' . $map_type . ');' . "\n\n";		

	break;

} // End of mode switch

// Now do another query to get the current viewer's (cv) map point so it shows regardless of pagination
	$sql_cv = 'SELECT u.*
			FROM ' . USERS_TABLE . ' u 
			WHERE u.user_id = ' . $db->sql_escape($user->data['user_id']);
		
	if( !($result_cv = $db->sql_query($sql_cv)) )
	{
		trigger_error('Could not query current user');
	}
		
	// iterate through the results to display members with map points set
	$i=0;
	// Don't use this at all for Events Only map, as we'll only look at the current viewer and events
if($mode != 'events')
{
	while ( $members = $db->sql_fetchrow($result_all_members))
	{
		$member[$i]['user_id']										= $members['user_id'];
		$member[$i]['user_type']									= $members['user_type'];
		$member[$i]['group_id']										= $members['group_id'];
		$member[$i]['username']										= $members['username'];
		$member[$i]['user_phoogle_icon']							= $members['user_phoogle_icon'];
		$member[$i]['user_phoogle_comment']							= $members['user_phoogle_comment'];
		$member[$i]['user_phoogle_comment_bbcode_uid']				= $members['user_phoogle_comment_bbcode_uid'];
		$member[$i]['user_phoogle_comment_bbcode_bitfield']			= $members['user_phoogle_comment_bbcode_bitfield'];
		$member[$i]['user_phoogle_map_center']						= $members['user_phoogle_map_center'];
		$member[$i]['user_avatar_type']								= $members['user_avatar_type'];
		$member[$i]['user_avatar_width']							= $members['user_avatar_width'];
		$member[$i]['user_avatar_height']							= $members['user_avatar_height'];
		$member[$i]['user_avatar']									= $members['user_avatar'];
		$member[$i]['user_email']									= $members['user_email'];
		$member[$i]['user_allow_viewemail']							= $members['user_allow_viewemail'];
		$member[$i]['user_icq']										= $members['user_icq'];
		$member[$i]['user_aim']										= $members['user_aim'];
		$member[$i]['user_yim']										= $members['user_yim'];
		$member[$i]['user_msnm']									= $members['user_msnm'];
		$member[$i]['user_jabber']									= $members['user_jabber'];
		$member[$i]['user_website']									= $members['user_website'];	
		$member[$i]['user_from']									= $members['user_from'];
		$member[$i]['user_interests']								= $members['user_interests'];
		
		$i++;
	}
}
// Now add the current viewer on to the $member array while we still have $i where we want it
// if user is not viewing themself on the 'single' map...
if($mode != 'single' || $member_id != $user->data['user_id'])
{
	while ( $members = $db->sql_fetchrow($result_cv))
	{
		$member[$i]['user_id']										= $members['user_id'];
		$member[$i]['user_type']									= $members['user_type'];
		$member[$i]['group_id']										= $members['group_id'];
		$member[$i]['username']										= $members['username'];
		$member[$i]['user_phoogle_icon']							= $members['user_phoogle_icon'];
		$member[$i]['user_phoogle_comment']							= $members['user_phoogle_comment'];
		$member[$i]['user_phoogle_comment_bbcode_uid']				= $members['user_phoogle_comment_bbcode_uid'];
		$member[$i]['user_phoogle_comment_bbcode_bitfield']			= $members['user_phoogle_comment_bbcode_bitfield'];
		$member[$i]['user_phoogle_map_center']						= $members['user_phoogle_map_center'];
		$member[$i]['user_avatar_type']								= $members['user_avatar_type'];
		$member[$i]['user_avatar_width']							= $members['user_avatar_width'];
		$member[$i]['user_avatar_height']							= $members['user_avatar_height'];
		$member[$i]['user_avatar']									= $members['user_avatar'];
		$member[$i]['user_email']									= $members['user_email'];
		$member[$i]['user_allow_viewemail']							= $members['user_allow_viewemail'];
		$member[$i]['user_icq']										= $members['user_icq'];
		$member[$i]['user_aim']										= $members['user_aim'];
		$member[$i]['user_yim']										= $members['user_yim'];
		$member[$i]['user_msnm']									= $members['user_msnm'];
		$member[$i]['user_jabber']									= $members['user_jabber'];
		$member[$i]['user_website']									= $members['user_website'];	
		$member[$i]['user_from']									= $members['user_from'];
		$member[$i]['user_interests']								= $members['user_interests'];		

		$i++;
	}
}		
// Count members so we can do the loop
$num_points = sizeof($member);

// find the user viewing the map
$cv = '';
$cv = strval($i-1);

// Now do stuff to each user's marker stuff
for ($i = 0; $i < $num_points; $i++)
{
	$avatar	= $user->optionget('viewavatars') ? get_user_avatar($member[$i]['user_avatar'], $member[$i]['user_avatar_type'], $member[$i]['user_avatar_width'], $member[$i]['user_avatar_height']) : '';

	$member[$i]['user_avatar'] = addslashes(html_entity_decode($avatar));	

	// Now deal with each user's selected icon and what to do if they are an admin or a moderator
	// Within each case is what to do if 'Use Special Markers' is selected or not in the ACP.
	// Added marker type for Show/Hide groups feature.
	switch($member[$i]['group_id']) 
	{
		case $group[5]['id']:
			$member[$i]['user_phoogle_icon'] = ($use_special_markers == 1) ? '1' : $member[$i]['user_phoogle_icon'];
			$member[$i]['marker_group'] = 'admin';
			break;
		case $group[4]['id']:
			$member[$i]['user_phoogle_icon'] = ($use_special_markers == 1) ? '2' : $member[$i]['user_phoogle_icon'];
			$member[$i]['marker_group'] = 'moderator';
			break;
		default:
			$member[$i]['marker_group'] = 'user';
	}
}

// User's map bubble content is dealt with here

for ($i = 0; $i < $num_points; $i++)
{
	
	if ($member[$i]['user_phoogle_comment'])
	{
		$member[$i]['user_phoogle_comment'] = censor_text($member[$i]['user_phoogle_comment']);
		if ($member[$i]['user_phoogle_comment_bbcode_bitfield'])
		{
			$bbcode = new bbcode();
			$bbcode->bbcode_second_pass($member[$i]['user_phoogle_comment'], $member[$i]['user_phoogle_comment_bbcode_uid'], $member[$i]['user_phoogle_comment_bbcode_bitfield']);
		}

		$member[$i]['user_phoogle_comment'] = bbcode_nl2br($member[$i]['user_phoogle_comment']);
		$member[$i]['user_phoogle_comment'] = smiley_text($member[$i]['user_phoogle_comment']);
		$member[$i]['user_phoogle_comment'] = addslashes($member[$i]['user_phoogle_comment']);
	}

	// Build comment section html
	$comment_link = '<br/><label>' . $user->lang['PHOOGLE_COMMENT_BRIEF'] . '</label><br/><br/>' . $member[$i]['user_phoogle_comment'];
	
	// Build Profile link - to be put in 1st tab of user's Comment bubble		
	$profile_url	= append_sid("{$phpbb_root_path}memberlist.$phpEx", 'mode=viewprofile&amp;u=' . $member[$i]['user_id']);
	$profile_link = '<a href="' . $profile_url . '">' . $user->lang['READ_PROFILE'] . '</a>';
	$profile_link = addslashes($profile_link);
	
	// Build PM link - to be put in 2nd tab of user's Comment bubble
	$pm_url = append_sid("ucp.$phpEx?i=pm&amp;mode=compose&amp;u=".$member[$i]['user_id']);
	$pm_link = "<a href=\"" . $pm_url . "\">".$user->lang['SEND_PRIVATE_MESSAGE']."</a>";
	$pm_link = addslashes($pm_link);

	// Build Friend/Foe links
	$friend_url	= append_sid("{$phpbb_root_path}ucp.$phpEx", 'i=zebra&amp;add=' . urlencode(htmlspecialchars_decode($member[$i]['username'])));
	$friend_link = "<a href=\"" . $friend_url . "\">".$user->lang['PHOOGLE_FRIEND']."</a>";
	$friend_link = addslashes($friend_link);
	$foe_url	= append_sid("{$phpbb_root_path}ucp.$phpEx", 'i=zebra&amp;mode=foes&amp;add=' . urlencode(htmlspecialchars_decode($member[$i]['username'])));
	$foe_link = "<a href=\"" . $foe_url . "\">".$user->lang['PHOOGLE_FOE']."</a>";
	$foe_link = addslashes($foe_link);

	// Build all the parts of the 'mini-profile' - thanks Sammy Sandbag for the idea!
	// Start and end bits of formatting for 2nd bubble
	$start_dl = addslashes('<dl class="details" style="width: 80%;">');
	$end_dl = addslashes('</dl>'); 

	// Build email link
	if (!empty($member[$i]['user_allow_viewemail']) || $auth->acl_get('a_email'))
	{
		$email = ($config['board_email_form'] && $config['email_enable']) ? append_sid("{$phpbb_root_path}memberlist.$phpEx", 'mode=email&amp;u=' . $member[$i]['user_id']) : (($config['board_hide_emails'] && !$auth->acl_get('a_email')) ? '' : 'mailto:' . $member[$i]['user_email']);
	}
	else
	{
		$email = '';
	}
	$email_link = ($member[$i]['user_allow_viewemail'] && !empty($member[$i]['user_email'])) ? '<dt>' . $user->lang['EMAIL_ADDRESS'] . ':</dt><dd><a href="' . $email . '">' .$user->lang['EMAIL'] .' '. $member[$i]['username'] . '</a></dd>' : '';
	$email_link = addslashes($email_link);

	// Build ICQ link
	$icq_url = 'http://www.icq.com/people/webmsg.php?to=' . urlencode($member[$i]['user_icq']);
	$icq_link = (!empty($member[$i]['user_icq'])) ? '<dt>' . $user->lang['ICQ'] . ':</dt><dd><a href="' . $icq_url . '" onclick="popup(this.href, 550, 320); return false;">' .$user->lang['SEND_ICQ_MESSAGE']  . '</a></dd>' : '';
	$icq_link = addslashes($icq_link);

	// Build AIM link
	$aim_url = append_sid("{$phpbb_root_path}memberlist.$phpEx", 'mode=contact&amp;action=aim&amp;u=' . $member[$i]['user_id']);
	$aim_link = (!empty($member[$i]['user_aim'])) ? '<dt>' . $user->lang['AIM'] . ':</dt><dd><a href="' . $aim_url . '" onclick="popup(this.href, 550, 320); return false;">' .$user->lang['SEND_AIM_MESSAGE']  . '</a></dd>' : '';
	$aim_link = addslashes($aim_link);

	// Build YIM link
	$yim_url = 'http://edit.yahoo.com/config/send_webmesg?.target=' .urlencode($member[$i]['user_yim']) . '&amp;.src=pg';
	$yim_link = (!empty($member[$i]['user_yim'])) ? '<dt>' . $user->lang['YIM'] . ':</dt><dd><a href="' . $yim_url . '" onclick="popup(this.href, 780, 550); return false;">' .$user->lang['SEND_YIM_MESSAGE']  . '</a></dd>' : '';
	$yim_link = addslashes($yim_link);		

	// Build MSN link
	$msnm_url = append_sid("{$phpbb_root_path}memberlist.$phpEx", 'mode=contact&amp;action=msnm&amp;u=' . $member[$i]['user_id']);
	$msnm_link = (!empty($member[$i]['user_msnm'])) ? '<dt>' . $user->lang['MSNM'] . ':</dt><dd><a href="' . $msnm_url . '" onclick="popup(this.href, 550, 320); return false;">' .$user->lang['SEND_MSNM_MESSAGE']  . '</a></dd>' : '';
	$msnm_link = addslashes($msnm_link);

	// Build Jabber link
	$jabber_url = append_sid("{$phpbb_root_path}memberlist.$phpEx", 'mode=contact&amp;action=jabber&amp;u=' . $member[$i]['user_id']);
	$jabber_link = (!empty($member[$i]['user_jabber'])) ? '<dt>' . $user->lang['JABBER'] . ':</dt><dd><a href="' . $jabber_url . '" onclick="popup(this.href, 550, 320); return false;">' .$user->lang['SEND_JABBER_MESSAGE']  . '</a></dd>' : '';
	$jabber_link = addslashes($jabber_link);

	// Build user website link
	$website_link = (!empty($member[$i]['user_website'])) ? '<dt>' . $user->lang['WWW'] . ':</dt><dd><a href="' . $member[$i]['user_website'] . '">' .$member[$i]['user_website']  . '</a></dd>' : '';
	$website_link = addslashes($website_link);

	// User info
	$from_link = (!empty($member[$i]['user_from'])) ? '<dt>' . $user->lang['LOCATION'] . ':</dt><dd>' . $member[$i]['user_from'] . '</dd>' : '';
	$from_link =addslashes($from_link);
	
	$interests_link = (!empty($member[$i]['user_interests'])) ? '<dt>' . $user->lang['INTERESTS'] . ':</dt><dd>' . censor_text($member[$i]['user_interests']) . '</dd>' : '';
	//$interests_link = str_replace($rep, "<br />", $interests_link);
	$interests_link = addslashes(bbcode_nl2br($interests_link));

	// Assemble comment-bubble tab contents
	// 1st tab		
	$member[$i]['tab'][0] = '<div><b>' . $member[$i]['username'] . "</b></div><br/><div>$profile_link&nbsp;&bull;&nbsp;$pm_link</div><div>$friend_link&nbsp;&bull;&nbsp;$foe_link</div>";

	// 2nd 'huge' tab
	$member[$i]['tab'][1] = '<br/>' . $member[$i]['user_avatar'] . '<br/>' . $start_dl . $email_link . $msnm_link . $aim_link . $icq_link . $yim_link . $jabber_link . $website_link . '<br/><br/>' . $from_link . $interests_link . $comment_link . $end_dl;

	// 3rd/alternate tab (Not in use at this time)
	//$member[$i]['tab'][2] = "<dl><dt><br/>".$member[$i]['user_avatar']."</dt><dd>".$member[$i]['user_phoogle_comment']."</dd></dl>";
}

// Now the users' map points
$js_userPoints = '';

//figure out desired distance measurement units first: convert meters to miles or kilometers
$calc = ($dist_units == 'miles') ? '1609.344' : '1000'; 

for ($i = 0; $i < $num_points; $i++)
{

	$js_userPoints .= '
	var point'.$i.' = new GLatLng' . $member[$i]['user_phoogle_map_center'] . ';
	var options = 
		{
		icon:icon' . $member[$i]['user_phoogle_icon'] . ',
		title:"' . $member[$i]['username'] . '"
		};
	var marker'.$i.' = new GMarker(point'.$i.', options);
	marker' . $i . '.type = "' . $member[$i]['marker_group'] . '";
	GEvent.addListener(marker' . $i . ', "click", function() {
		map.savePosition();' . "\n";

	if($cv != '')
	{	
		$js_userPoints .= '	var polyOptions = {geodesic:true, clickable:false};
			var polyline_shadow = new GPolyline([point'.$cv.', point'.$i.'], "#000000", 3, .6, polyOptions);
			var polyline = new GPolyline([point'.$cv.', point'.$i.'], "#FFFF00", 2, 1, polyOptions);
			map.addOverlay(polyline_shadow);
			map.addOverlay(polyline);';
	}
	$js_userPoints .= '
		var maxContent = "' . $member[$i]['tab'][1] . '";
		var maxTitle = "<b>' . $member[$i]['username'] . '</b>";';
// If current viewer has a map point set or not...
if($cv != '')
{
	$js_userPoints .= '	
		var dist = point'.$cv.'.distanceFrom(point'.$i.');
		var distance = (dist/' . $calc . ');
		var distance_text = "<div>' . $member[$i]['username'] . $user->lang['WORD_IS'] . "\" + formatNumber(distance,2,',','.','','','-','') + \" " . $dist_units . $user->lang['WORD_FROM_YOU'] . '</div>";
		marker' . $i . '.openInfoWindowHtml("' . $member[$i]['tab'][0] . '</div><br />" + distance_text,';
}
else
{
	$js_userPoints .= '	
		marker'.$i.'.openInfoWindowHtml("'.$member[$i]['tab'][0].'</div>",';
}		

$js_userPoints .= '	
			{
				maxContent: maxContent,
		 		maxTitle: maxTitle
			} );
		
		var iw = map.getInfoWindow();
		GEvent.addListener(iw, "closeclick", function() 
		{
			map.returnToSavedPosition();
		});
		GEvent.addListener(marker' . $i . ', "infowindowclose", function() 
		{	
	 		map.removeOverlay(polyline_shadow);
			map.removeOverlay(polyline);
		});';
		
	// If search bar is enabled, hide it on infowindow maximize and show it on restore/close
	if($show_gbar == true)
	{
		$js_userPoints .= '
		GEvent.addListener(iw, "maximizeclick", function() {
			map.disableGoogleBar();});
		GEvent.addListener(iw, "restoreclick", function() {
			map.enableGoogleBar();});
		GEvent.addListener(iw, "closeclick", function() {
			map.enableGoogleBar();});';
	}

	$js_userPoints .= "
	});
	sbmarkers[$i] = marker".$i.";
	map.addOverlay(marker".$i.");
	bounds.extend(point".$i.");\n\n";
}	
	
// Now the event map points
$js_eventPoints = '';
$time_now = time();
$j = $num_points; // Used as internal increment to continue numbering our event markers where user markers ended
if ($use_events)
{
	for ($i = 0; $i < $num_events; $i++)
	{
		if($time_now >= strtotime($event[$i]['event_start']) && $time_now <= strtotime($event[$i]['event_end']) || $event[$i]['event_start'] == 0 && $event[$i]['event_end'] == 0)
		{
		$js_eventPoints .= '
		var point'.$j.' = new GLatLng'.$event[$i]['event_map_center'].';
		var options = 
			{
				icon:icon' . $event[$i]['event_marker'] . 'e,
				title:"' . $event[$i]['event_title'] . '"
			};
		var marker'.$j.' = new GMarker(point'.$j.', options);
		marker'.$j.".type = 'event';
		GEvent.addListener(marker".$j.', "click", function() {';

	$js_eventPoints .= '
		map.savePosition();' . "\n";
	if($cv != '')
	{	
		$js_eventPoints .= '	var polyOptions = {geodesic:true, clickable:false};
			var polyline_shadow = new GPolyline([point'.$cv.', point'.$j.'], "#000000", 3, .6, polyOptions);
			var polyline = new GPolyline([point'.$cv.', point'.$j.'], "#FFFF00", 2, 1, polyOptions);
			map.addOverlay(polyline_shadow);
			map.addOverlay(polyline);';
	}
	$js_eventPoints .= '
		var maxContent = "' . $event[$i]['event_desc'] . '";
		var maxTitle = "<b>' . $event[$i]['event_title'] . '</b>";';

	if($cv != '')
	{		
		$js_eventPoints .= '
			var dist = point'.$cv.'.distanceFrom(point'.$j.');
			var distance = (dist/' . $calc . ');
			marker' . $j . '.openInfoWindowHtml("' . $event[$i]['event_title'] . '</div><br /><br /><div>' . $event[$i]['event_title'] . " is \" + formatNumber(distance,2,',','.','','','-','') + \" " . $dist_units . ' from you</div>",';
	}
	else
	{
		$js_eventPoints .= '
			marker'.$j.'.openInfoWindowHtml("' . $event[$i]['event_title'] . '</div>",';
	}

	$js_eventPoints .= '
		{
			maxContent: maxContent,
		 	maxTitle: maxTitle}
		);
		var iw = map.getInfoWindow();
		GEvent.addListener(iw, "closeclick", function() 
		{
			map.returnToSavedPosition();
		});
		GEvent.addListener(marker' . $j . ', "infowindowclose", function() 
		{	
	 		map.removeOverlay(polyline_shadow);
			map.removeOverlay(polyline);
		});';
		
		if($show_gbar == true)
		{
			$js_eventPoints .= '
			GEvent.addListener(iw, "maximizeclick", function() {
				map.disableGoogleBar();});
			GEvent.addListener(iw, "restoreclick", function() {
				map.enableGoogleBar();});
			GEvent.addListener(iw, "closeclick", function() {
				map.enableGoogleBar();});';
		}

		$js_eventPoints .= "
		});\n
		sbmarkers[".$j."] = marker".$j.";\n
		map.addOverlay(marker".$j.");
		bounds.extend(point".$j.");\n";
		$j++;
		}
	}
}
/*/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
** Userlist / Sidebar 
**///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////*/
// set var for user list (sidebar)
$phoogle_list = '';
$event_list = '';
	
// Reset internal row pointer back to the beginning of $result_all_members
@$db->sql_rowseek(0, $result_all_members);
@$db->sql_rowseek(0, $result_events);	

// Now build the list
// new increment counter for js click  function
for($i = 0; $i < count($member); $i++)
{
	$userlist_name	= $member[$i]['username'];
	$userlist_id	= $member[$i]['user_id'];
	$userlist_group	= $member[$i]['group_id'];
		
	// Text coloring for Admin and Moderator names, based on board theme settings.
	switch($userlist_group) 
	{
		case $group['5']['id']:
			$userlist_name = '<span style="color:#' . $group['5']['colour'] . '">'. $userlist_name . '</span>';
			break;
		case $group['4']['id']:
			$userlist_name = '<span style="color:#' . $group['4']['colour'] . '">'. $userlist_name . '</span>';
			break;
		default:
			$userlist_name = '<span>'. $userlist_name . '</span>';
	}
	
	$phoogle_list .= '<a href="javascript:myclick('.$i.')">'.$userlist_name.'</a><br />';
}

// Events sidebar
if ($use_events)
{
	$k = 0; // new increment for events that meet time display condition
	for ($j = 0; $j < $num_events; $j++)
	{
		if($time_now >= strtotime($event[$j]['event_start']) && $time_now <= strtotime($event[$j]['event_end']) || $event[$j]['event_start'] == 0 && $event[$j]['event_end'] == 0)
		{
			$event_title 	= $event[$j]['event_title'];
			$event_id 		= $event[$j]['event_id'];
			$event_name = "<span>$event_title</span>";
			$event_list .= '<a href="javascript:myclick('.$i.')">'.$event_name.'</a><br />';
			$i++;
			$k++;
		}
	}
}
// Get count of all users with map point set (within the selected group, or total), allowed, and wanted to be shown
if ($total = $db->sql_fetchrow($count_result))
{
	$total_all = $total['total'];
	$mapped_members = '<a href="javascript:void(0);" alt="Total Members with Set Map Points" title="Total Members (with set map points)">' . $total_all . '</a>';
	$pagination_url = append_sid("{$phpbb_root_path}phoogle.php", "mode=$mode&amp;show=$show");
	$pagination_url = (isset($group_id)) ? append_sid("{$phpbb_root_path}phoogle.php", "mode=$mode&amp;show=$show&amp;group_id=$group_id") : $pagination_url;
}

//-----------  Getting rid of class, gonna do it all procedural-like  ----------------------
//We currently have translations for Basque (eu), Catalan (ca), Danish (da), Dutch (nl), Finnish (fi), French (fr), Galician (gl), German (de), Italian (it), Japanese (ja), Norwegian (no), Norwegian Nynorsk (nn), Russian (ru), Spanish (es), and Swedish (sv).
$js_start = '<script src="http://maps.google.com/maps?file=api&amp;v=2&amp;hl=' . $api_lang . '&amp;key=' . $api_key . '" type="text/javascript"></script>' . "\n";
$js_start .= '<script src="' . $phpbb_root_path . 'includes/phoogle/extmaptypecontrol.js" type="text/javascript"></script>' . "\n";
$js_start .= '<script type="text/javascript">' . "\n";
$js_sbMarkers = 'var map = null;
var sbmarkers = [];
function myclick(i)
{
	GEvent.trigger(sbmarkers[i], "click");
}
function toggleGroup(whichType) 
{
	for (var i = 0; i < sbmarkers.length; i++) 
	{
		var marker = sbmarkers[i];
		if(sbmarkers[i].type == whichType)
		{
			if (marker.isHidden()) 
			{
				marker.show();
			} 
			else 
			{
				marker.hide();
			}
		}
	}
}' . "\n";

$js_showMap = 'function showmap()
	{
	//<![CDATA[
	if (GBrowserIsCompatible())
	{
	map = new GMap2(document.getElementById("map_canvas"));
	map.getContainer().style.overflow="hidden";'."\n";

// This wonderful bit stops the page scroll when over the map div!!!!
$js_showMap .= 'function wheelevent(e)
{
	if (!e)
	{
		e = window.event
	}
	if (e.preventDefault)
	{
		e.preventDefault()
	}
	e.returnValue = false;
	}
GEvent.addDomListener(map.getContainer(), "DOMMouseScroll", wheelevent);
map.getContainer().onmousewheel = wheelevent;'."\n";

// Zoom limit - from map config table
if( !empty($zoom_limit) && $zoom_limit < 17 )
{
$js_zmLimit = 'GEvent.addListener(map,"zoomend",function (fromZoom, toZoom) {
	if (toZoom > ' . $zoom_limit . ') 
		{
			map.setZoom(' . $zoom_limit . '); // clip zoom level
			document.getElementById("message").innerHTML= "You may not zoom-in any further - Admin has set Zoom Limit"; 
		}
	else
	{
		document.getElementById("message").innerHTML= " ";
	}
	}); ';
}
else
{
$js_zmLimit = '';
}

$js_listener = 'GEvent.addListener(map, "moveend", function()
		{ 
		var center = map.getCenter();
		var zoomLevel = map.getZoom();
		document.phoogle_map.map_center.value = center.toString();
		document.phoogle_map.init_zoom.value = zoomLevel.toString();
}); // end of addListener inner function 

// init a var to collect points to auto-fit map to markers
var bounds = new GLatLngBounds();'."\n";


// Logic for Map control displays
if($show_control == true)
{ 
	$js_controlType = ($control_type == 'small')	? "map.addControl(new GSmallMapControl());\n" : "map.addControl(new GLargeMapControl());\n";
}
else
{
	$js_controlType = '';
}
	$js_terrain 		= ($terrain_map == true) ? "map.addMapType(G_PHYSICAL_MAP);\n" : '';
	$js_dblClkZm 		= ($dbl_clk_zm == true) ? "map.enableDoubleClickZoom();\n" : '';
	$js_contZm 			= ($cont_zm == true) ? "map.enableContinuousZoom();\n" : '';
	$js_scrWhlZm 		= ($scr_whl_zm == true) ? "map.enableScrollWheelZoom();\n" : '';
	$js_showScale 		= ($show_scale == true) ? "map.addControl(new GScaleControl());\n" : '';
	$js_showOverview 	= ($show_overview == true) ? "map.addControl(new GOverviewMapControl());\n" : '';
	$js_googleBar 		= ($show_gbar == true) ? "map.enableGoogleBar();\n"  : '';
		
// Traffic overlay has it's own Map Type buttons, so don't use the 'show_type' ones when Traffic is turned on.
// This overrides the 'show_type' setting, so both don't get displayed at the same time
	if($traffic_over == true)
	{
		$js_trafficOv = "map.addControl(new ExtMapTypeControl({showTraffic: true, showTrafficKey: true}));\n";
		$js_showType = '';
	}
	else
	{
		$js_trafficOv = '';
		$js_showType = "map.addControl(new GMapTypeControl());\n";
	}
// Available map markers
$js_markers ='';
for($i=1; $i <= count($marker); $i++)
{
	$js_markers .= '
		var icon' . $marker[$i]['id'] . ' = new GIcon();
		icon' . $marker[$i]['id'] . '.image = "' . $marker[$i]['image'] . '";
		icon' . $marker[$i]['id'] . '.shadow = "' . $marker[$i]['shadow'] . '";
		icon' . $marker[$i]['id'] . '.iconSize = new GSize(' . $marker[$i]['image_width'] . ', ' . $marker[$i]['image_height'] . ');
		icon' . $marker[$i]['id'] . '.shadowSize = new GSize('.$marker[$i]['shadow_width'] . ', ' . $marker[$i]['shadow_height'] . ');
		icon' . $marker[$i]['id'] . '.iconAnchor = new GPoint(' . $marker[$i]['anchor_x'] . ', ' . $marker[$i]['anchor_y'] . ');
		icon' . $marker[$i]['id'] . '.infoWindowAnchor = new GPoint(5, 1);'."\n";
}
	
$js_event_markers ='';
if ($use_events)
{
	for($e=1; $e <= count($event_marker); $e++)
	{
		$js_markers .= '
		var icon'.$event_marker[$e]['id'].'e = new GIcon();
		icon'.$event_marker[$e]['id'].'e.image = "'.$event_marker[$e]['image'].'";
		icon'.$event_marker[$e]['id'].'e.shadow = "'.$event_marker[$e]['shadow'].'";
		icon'.$event_marker[$e]['id'].'e.iconSize = new GSize('.$event_marker[$e]['image_width'].', '.$event_marker[$e]['image_height'].');
		icon'.$event_marker[$e]['id'].'e.shadowSize = new GSize('.$event_marker[$e]['shadow_width'].', '.$event_marker[$e]['shadow_height'].');
		icon'.$event_marker[$e]['id'].'e.iconAnchor = new GPoint('.$event_marker[$e]['anchor_x'].', '.$event_marker[$e]['anchor_y'].');
		icon'.$event_marker[$e]['id'].'e.infoWindowAnchor = new GPoint(5, 1);'."\n";
	}
}
$js_end = '';
if($auto_fit == true && $mode != 'single')
{
	$js_end .= '
		// ===== determine the zoom level from the bounds =====
		map.setZoom(map.getBoundsZoomLevel(bounds));

		// ===== determine the centre from the bounds ======
		map.setCenter(bounds.getCenter());' . "\n";
}

$js_end .= "
	//]]>
	}
	}

	window.onload = showmap;
	window.onunload=\"GUnload();\"
	</script>\n\n";

$js_main = $js_start . $js_markers . $js_sbMarkers . $js_showMap . $js_dblClkZm . $js_contZm . $js_scrWhlZm . $js_googleBar . $js_zmLimit . $js_listener . $js_centerMap . $js_controlType . $js_terrain . $js_trafficOv . $js_showType . $js_showScale . $js_showOverview .  $js_userPoints . $js_eventPoints . $js_end;
//
// Generate page
//
page_header($page_title);

$template->assign_vars(array(
	'S_USE_SPECIAL_MARKERS'	=> $use_special_markers,
	'S_PHOOGLE_EVENTS'		=> ($use_events) ? $event_list : '',
	'S_SHOW'				=> $show,
	'PAGINATION'			=> ($mode != 'single') ? generate_pagination($pagination_url, $total_all, $show, $start) : '',
	'PAGE_NUMBER'			=> ($mode != 'single') ? on_page($total_all, $show, $start) : '&nbsp;',
	'API_KEY'				=> $api_key,
	'MAP_WIDTH'				=> $map_width,
	'WIDTH_MEASURE'			=> $width_measure,
	'MAP_HEIGHT'			=> $map_height,
	'HEIGHT_MEASURE'		=> $height_measure,
	'PHOOGLE_SCRIPT'		=> $js_main,
	'PHOOGLE_COUNT'			=> $mapped_members,
	'EVENT_COUNT'			=> ($use_events) ? $k : '',
	'ALL_USER_LINK'			=> '<a href="' . append_sid("phoogle.$phpEx", "mode=everyone") . '"><span>All Members</span></a><br />',
	'PHOOGLE_USERS'			=> $phoogle_list,
	'MARKER_FOLDER'			=> $phpbb_root_path.$marker_folder,
	'USER_GROUP_SELECT'		=> $group_select_box,
	'ADMIN_IMAGE'			=> $admin_image,
	'MODERATOR_IMAGE'		=> $moderator_image,
	'S_MODE_ACTION'			=> append_sid($phpbb_root_path."phoogle.$phpEx", "mode=$mode"),	
	'TROUBLESHOOT'			=> ''
));

$template->set_filenames(array(
	'body' => 'phoogle_body.html')
);

page_footer();
?>